Bug 805992 - [REST API] Wrong response message/text when adding a cartridge
[REST API] Wrong response message/text when adding a cartridge
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Pod (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lili Nader
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-22 11:59 EDT by Xavier Coulon
Modified: 2015-05-14 21:48 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 14:32:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Coulon 2012-03-22 11:59:19 EDT
The response message is : "Added #<RestCartridge:0x7ffd56767518> to application sample"
Moreover, this message does not contain the credentials anymore, so the user cannot get them at all (except by connecting via ssh and display the environment variables)

<?xml version="1.0" encoding="UTF-8"?>
<response>
  <cartridge>
    <name>mysql-5.1</name>
    <links>
      <link>
        <rel>Get embedded cartridge</rel>
        <href>/domains/foobar/applications/sample/cartridges/mysql-5.1</href>
        <optional-params/>
        <method>GET</method>
        <required-params/>
      </link>
      <link>
        <rel>Stop embedded cartridge</rel>
        <href>/domains/foobar/applications/sample/cartridges/mysql-5.1/events</href>
        <optional-params/>
        <method>POST</method>
        <required-params>
          <param>
            <name>event</name>
            <description>event</description>
            <valid-options>stop</valid-options>
            <type>string</type>
          </param>
        </required-params>
      </link>
      <link>
        <rel>Reload embedded cartridge</rel>
        <href>/domains/foobar/applications/sample/cartridges/mysql-5.1/events</href>
        <optional-params/>
        <method>POST</method>
        <required-params>
          <param>
            <name>event</name>
            <description>event</description>
            <valid-options>reload</valid-options>
            <type>string</type>
          </param>
        </required-params>
      </link>
      <link>
        <rel>Restart embedded cartridge</rel>
        <href>/domains/foobar/applications/sample/cartridges/mysql-5.1/events</href>
        <optional-params/>
        <method>POST</method>
        <required-params>
          <param>
            <name>event</name>
            <description>event</description>
            <valid-options>restart</valid-options>
            <type>string</type>
          </param>
        </required-params>
      </link>
      <link>
        <rel>Delete embedded cartridge</rel>
        <href>/domains/foobar/applications/sample/cartridges/mysql-5.1</href>
        <optional-params/>
        <method>DELETE</method>
        <required-params/>
      </link>
      <link>
        <rel>Start embedded cartridge</rel>
        <href>/domains/foobar/applications/sample/cartridges/mysql-5.1/events</href>
        <optional-params/>
        <method>POST</method>
        <required-params>
          <param>
            <name>event</name>
            <description>event</description>
            <valid-options>start</valid-options>
            <type>string</type>
          </param>
        </required-params>
      </link>
    </links>
    <type>embedded</type>
  </cartridge>
  <version>1.0</version>
  <type>cartridge</type>
  <status>created</status>
  <messages>
    <message>
      <field nil="true"></field>
      <exit-code nil="true"></exit-code>
      <text>Added #&lt;RestCartridge:0x7ffd56767518&gt; to application sample</text>
      <severity>info</severity>
    </message>
  </messages>
</response>
Comment 1 Lili Nader 2012-03-23 21:47:38 EDT
  <messages>
    <message>
      <text>Added mysql-5.1 to application xyz</text>
      <field nil="true"></field>
      <severity>info</severity>
      <exit-code nil="true"></exit-code>
    </message>
    <message>
      <text>
MySQL 5.1 database added.  Please make note of these credentials:

   Root User: admin
   Root Password: wNFpdr1d_haD
   Database Name: xyz

Connection URL: mysql://127.1.37.129:3306/

You can manage your new MySQL database by also embedding phpmyadmin-3.4.
</text>
      <field>result</field>
      <severity>info</severity>
      <exit-code>0</exit-code>
    </message>
    <message>
      <text>Connection URL: mysql://127.1.37.129:3306/
</text>
      <field>appinfo</field>
      <severity>info</severity>
      <exit-code>0</exit-code>
    </message>
  </messages>
Comment 2 Meng Bo 2012-03-26 05:32:34 EDT
verified this bug on devenv_1672,
issue has been fixed.

Note You need to log in before you can comment on or make changes to this bug.